Skip to main content
GET
/
getExtendedAddressInformation
Get detailed account state (extended)
curl --request GET \
  --url https://toncenter.com/api/v2/getExtendedAddressInformation
{
  "ok": true,
  "result": {
    "@type": "fullAccountState",
    "address": {
      "@type": "accountAddress",
      "account_address": "EQCD39VS5jcptHL8vMjEXrzGaRcCVYto7HUn4bpAOg8xqB2N"
    },
    "balance": "1592521995920473",
    "extra_currencies": [],
    "last_transaction_id": {
      "@type": "internal.transactionId",
      "lt": "60294179000005",
      "hash": "opzfb6lX3inMMTbyvp8Z/FmrrdgZ4D/NPZvDZOkjd0E="
    },
    "block_id": {
      "@type": "ton.blockIdExt",
      "workchain": -1,
      "shard": "-9223372036854775808",
      "seqno": 50940791,
      "root_hash": "8Zcn3qPdpJY5nBOIOG5h/v3ABrPRQoahCOgbSmmICS0=",
      "file_hash": "BLvAHAZGs/Zoozhdsn5VvADALGQc+CoaQBSUqj1tKWo="
    },
    "sync_utime": 1755283118,
    "account_state": {
      "@type": "wallet.v3.accountState",
      "wallet_id": "698983191",
      "seqno": 341
    },
    "revision": 2,
    "@extra": "1755283135.0102983:6:0.11795169251963"
  }
}

Documentation Index

Fetch the complete documentation index at: https://companyname-a7d5b98e-3-gasless.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

address
string
required

Identifier of target TON account in any form.

Response

Successful Response

ok
boolean
required
result
Result · object

Generic account state decoded by tonlib; contract-specific account_state may contain typed fields (e.g., wallet.v3.accountState).

error
string
code
integer